<?php
/**
 * @category    Pinpoint
 * @package     Pinpoint_Faq
 * @copyright   Copyright (c) 2019 Pinpoint Designs. (http://www.Pinpoint.co.uk)
 * @author      Ahmed Goda <hello@Pinpoint.co.uk>
 */

namespace Pinpoint\Faq\Api;

use Pinpoint\Faq\Api\Data\FaqInterface;

/**
 * Interface FaqRepositoryInterface
 */
interface FaqRepositoryInterface
{
    /**
     * @param int $id
     * @return FaqInterface|null
     */
    public function getById(int $id): ?FaqInterface;

    /**
     * @return FaqInterface[]
     */
    public function getList(): array;

    /**
     * @param array $ids
     * @return FaqInterface[]
     */
    public function getActiveItemsByIds(array $ids);
}
