<?php
/**
 * @category    Pinpoint
 * @package     Pinpoint_Faq
 * @copyright   Copyright (c) 2019 Pinpoint Designs. (http://www.Pinpoint.co.uk)
 * @author      Ahmed Goda <hello@Pinpoint.co.uk>
 */

namespace Pinpoint\Faq\Model\Attribute\Source;

use Magento\Eav\Model\Entity\Attribute\Source\AbstractSource;
use Pinpoint\Faq\Api\FaqRepositoryInterface;
use Magento\Framework\App\RequestInterface;

/**
 * Class Faqs
 */
class Faqs extends AbstractSource
{
    /**
     * @var FaqRepositoryInterface
     */
    protected $faqRepository;

    /**
     * @var RequestInterface
     */
    protected $request;
 
    /**
     * Faqs constructor
     *
     * @param FaqRepositoryInterface $faqRepository
     * @param RequestInterface $request
     */
    public function __construct(
        FaqRepositoryInterface $faqRepository,
        RequestInterface $request
    )
    {
        $this->_options = [];
        $this->faqRepository = $faqRepository;
        $this->request = $request;
    }

    /**
     * Load faqs by product id
     *
     * @return array
     */
    public function getAllOptions()
    {
        if (!$this->_options) {
            $productId = $this->request->getParam('id');

            if ($productId) {

                $faqs = $this->faqRepository->getItemsByProductId($productId);

            } else {

                $faqs = $this->faqRepository->getItemsByProductId(0);

            }

            $faqs = $this->faqRepository->getItemsByProductId($productId);
            foreach ($faqs as $faq) {
                $this->_options[] = [
                    'value' => $faq->getId(),
                    'label' => $faq->getQuestionText(),
                ];
            }
        }
        return $this->_options;
    }
}